%global gimptool %{_bindir}/gimptool-2.0
%global gimpplugindir %(%___build_pre; %gimptool --gimpplugindir)/plug-ins

Name:           ufraw
Summary:        Raw image data retrieval tool for digital cameras
Version:        0.23
Release:        %autorelease

# GPL-2.0-or-later: main program
# GPL-2.0-only:
#  - icons/digital.svg
#  - icons/film.svg
#  - icons/restore-hsv.svg
#  - icons/restore-lch.svg
# CC-BY-SA-2.5:
#  - icons/lens.svg
License:        GPL-2.0-or-later AND CC-BY-SA-2.5 AND GPL-2.0-only 
URL:            http://ufraw.sourceforge.net
Source:         https://sourceforge.net/projects/ufraw/files/%{name}/%{name}-0.22/%{name}-0.22.tar.gz
# beautify_style.sh file is not in the ufraw-0.22.tar.gz, so we need add it, to apply diff from git without errors
Source:         https://raw.githubusercontent.com/sergiomb2/ufraw/02bc2df0c6c2d9d1892bd16a58e319d81e79559d/beautify_style.sh
Source:         ufraw.thumbnailer
Patch:          https://github.com/sergiomb2/ufraw/compare/%{name}-0-22..f34669b.diff
Patch:          0001-Fix-build-with-exiv2-0.28.0-raise-minimum-to-0.27.0.patch

BuildRequires:  automake
BuildRequires:  cfitsio-devel
BuildRequires:  exiv2-devel >= 0.27.0
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  gimp >= 2.2
BuildRequires:  gimp-devel >= 2.2
BuildRequires:  glib2-devel >= 2.12
BuildRequires:  gtk2-devel >= 2.12
BuildRequires:  gtkimageview-devel >= 1.6.1
BuildRequires:  jasper-devel
BuildRequires:  lcms2-devel
BuildRequires:  lensfun-devel >= 0.2.5
BuildRequires:  libexif-devel >= 0.6.13
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  pkgconfig >= 0.9.0

Requires:       %{name}-common = %{version}-%{release}

Provides: bundled(dcraw) = 9.28

%description
UFRaw is a tool for opening raw format images of digital cameras.

%package        common
Summary:        Common files needed by UFRaw

%description    common
The ufraw-common files includes common files for UFRaw, e.g. language support.

%package        gimp
Summary:        GIMP plugin to retrieve raw image data from digital cameras
Requires:       %{name}-common%{?_isa} = %{version}-%{release}
Requires:       gimp%{?_isa}

%description    gimp
The ufraw-gimp package contains a GIMP plugin for opening raw format images of
digital cameras.

%prep
%setup -qn %{name}-0.22
cp %{SOURCE1} .
%autopatch -p1

%build
autoreconf -i
%configure --enable-mime --enable-extras --enable-contrast --disable-silent-rules --enable-jasper

%make_build schemas_DATA=''

%install
%make_install schemas_DATA=''
# don't ship dcraw binary
rm -rfv %{buildroot}%{_bindir}/dcraw
install -pd -m 0755 %buildroot%{_datadir}/mime/packages
install -pm 0644 %{name}-mime.xml %buildroot%{_datadir}/mime/packages
pushd %{buildroot}%{_mandir}/man1
ln -s %{name}.1 %{name}-batch.1
popd
# install modern thumbnailer entry
install -D -m0644 %{SOURCE2} %{buildroot}%{_datadir}/thumbnailers/%{name}.thumbnailer

%find_lang %{name}

%files common -f %{name}.lang
%doc COPYING README
%{_datadir}/mime/packages/%{name}-mime.xml

%files
%{_bindir}/nikon-curve
%{_bindir}/%{name}
%{_bindir}/%{name}-batch
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-batch.1*

%files gimp
%{gimpplugindir}/%{name}-gimp

%changelog
%autochangelog
